.navbar,
* {
  box-sizing: border-box;
}

.body,
* {
  font-family: "Albert Sans", sans-serif;
}

body {
  overflow-x: hidden;
  background-color: #fff;
}
.nav-container {
  display: none;
}
/* Side navigation bar */

.navbar {
  border-style: solid;
  border-color: rgba(105, 105, 105, 0.5);
  border-width: 0px 1px 0px 0px;
  /* padding: 40px 30px 40px 30px; */
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  justify-content: center;
  height: 100vh;
  position: fixed;
  width: 10vw;
  background-color: #fff;
}
.nav-elements {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  flex-shrink: 0;
  height: 100vh;
  position: relative;
  width: fit-content;
}
.Profile {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  justify-content: flex-start;
  align-self: stretch;
  flex-shrink: 0;
  position: relative;
}
.profile-photo {
  background: linear-gradient(to left, #d9d9d9, #d9d9d9);
  border-radius: 50%;
  flex-shrink: 0;
  width: 64px;
  height: 64px;
  position: relative;
  object-fit: cover;
}
.name-social {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
}
.name {
  color: #000000;
  text-align: center;
  font-family: "AlbertSans-SemiBold", sans-serif;
  font-size: 16px;
  font-weight: 600;
  position: relative;
  align-self: stretch;
}
.social {
  color: #000000;
  text-align: center;
  font-family: "AlbertSans-Regular", sans-serif;
  font-size: 8px;
  font-weight: 400;
  position: relative;
  align-self: stretch;
}

.home,
.kyc,
.approve,
.payment,
.logout {
    cursor:pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  position: relative;
  width: 80px;
  height: 80px;
}

.logout {
  border-top: 1px solid grey;
}

.nav-icon {
  height: 30px;
  width: 30px;
}

.tab-text {
  font-size: 12px;
}

.elements-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  width: 100%;
  /* margin-bottom: 120px; */
}

.item {
  border-radius: 10px;
  margin-bottom: 10px;
}

.item:hover {
  background-color: rgba(196, 215, 255, 0.966);
}

/* right side */

.content-right {
  border: 1px solid transparent;
  position: relative;
  width: 85vw;
  margin-left: 12vw;
  height: 100vh;
}

/* Top navigation bar */

.topbar {
  position: relative;
  margin-top: 40px;
  margin-bottom: 30px;
}

.searchcontent {
  height: 30px;
  width: 250px;
  border-radius: 8px;
  border: 1px solid #d9d9d9;
  background-color: rgba(105, 105, 105, 0.2);
}

.searchcontent::placeholder {
  padding-left: 8px;
  color: #000000;
}

.topbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.welcomebell {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
}

.welcome-tag {
  margin-right: 16px;
}

.bell-icon {
  width: 24px;
  height: 24px;
}

/* Dashboard */

.dashboard {
}

.block {
  width: 20vw;
  padding: 20px;
  border-radius: 16px;
  border: 1px solid #979797;
  border-width: 0.5px;
  background-color: white;
  /* margin-right: 20px; */
}

.bottomtext {
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.dot-icon {
  width: 14px;
  height: 14px;
  margin-right: 12px;
}

.arrow {
  width: 20px;
  height: 20px;
}

.dashblocks {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
}

.block-details {
  display: flex;
  flex-direction: column;
}

.topblock {
  display: flex;
  flex-direction: row;
}

.blockicon {
  width: 100vw;
  position: relative;
  display: flex;
  align-items: baseline;
  justify-content: flex-end;
}

.blkicnimg {
  width: 60px;
  height: 60px;
}

.tilecount {
  font-size: 16px;
  margin-top: 0px;
}

.tilename,
.subtext {
  font-size: 12px;
}

.sub-items-list {
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
}

.upload,
.wallet,
.expenses {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-bottom: 8px;
}

.overall {
  box-shadow: 1px 1px 2px 0px rgba(108, 122, 228, 0.98),
    1px 1px 3px 0px rgba(108, 122, 228, 0.85),
    0px 2px 4px 0px rgba(108, 122, 228, 0.5),
    0px 4px 5px 0px rgba(108, 122, 228, 0.15),
    0px 8px 6px 0px rgba(108, 122, 228, 0.02);
}

.pending {
  box-shadow: 1px 1px 2px 0px rgba(254, 201, 74, 0.98),
    1px 1px 3px 0px rgba(254, 201, 74, 0.85),
    0px 2px 4px 0px rgba(254, 201, 74, 0.5),
    0px 4px 5px 0px rgba(254, 201, 74, 0.15),
    0px 8px 6px 0px rgba(254, 201, 74, 0.02);
}

.approved {
  box-shadow: 1px 1px 2px 0px rgba(0, 182, 155, 0.98),
    1px 1px 3px 0px rgba(0, 182, 155, 0.85),
    0px 2px 4px 0px rgba(0, 182, 155, 0.5),
    0px 4px 5px 0px rgba(0, 182, 155, 0.15),
    0px 8px 6px 0px rgba(0, 182, 155, 0.02);
}

.rejected {
  box-shadow: 1px 1px 2px 0px rgba(255, 144, 102, 0.98),
    1px 1px 3px 0px rgba(255, 144, 102, 0.85),
    0px 2px 4px 0px rgba(255, 144, 102, 0.5),
    0px 4px 5px 0px rgba(255, 144, 102, 0.15),
    0px 8px 6px 0px rgba(255, 144, 102, 0.02);
}

.bottom-navigation {
  display: none;
}

.profilebtn {
  display: none;
}

.profile-dropdown {
  display: none;
}
/* media query for height */

@media (max-height: 599px) {
  .nav-icon {
    width: 16px;
    height: 16px;
  }
  .name {
    font-size: 10px;
  }
  .social {
    font-size: 10px;
  }
  .item {
    margin-bottom: 12px;
    height: 40px;
    width: 60px;
  }

  .tab-text {
    font-size: 12px;
  }

  .profile-photo {
    height: 40px;
    width: 40px;
    margin-top: 20px;
  }

  .nav-bar {
    height: 100%;
  }

  .block {
    width: 20vw;
    margin-right: 1vw;
    padding: 4px;
    padding-inline: 16px;
  }

  .blkicnimg {
    width: 40px;
    height: 40px;
  }
  .blockicon {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }
  .dashblocks {
    display: flex;
    justify-content: space-evenly;
  }

  .tab-text {
    font-size: 8px;
  }

  .header {
    font-size: 12px;
  }
}

/* first page for mobile */
@media (max-width: 499px) {
  .navbar {
    display: none;
  }
  .content-right {
    margin-left: 0px;
    margin-top: 4vh;
    width: 100%;
  }
  .dashblocks {
    display: flex;
    flex-direction: row;
    width: 100%;
    align-items: flex-start;
    justify-content: center;
    gap: 16px;
    flex-wrap: wrap;
  }
  .block {
    width: 45%;
  }
  .searchcontent {
    width: 60vw;
    margin-left: 4vw;
  }
  .topbar {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  .welcome-tag,
  .bell-icon {
    display: none;
  }
  .header {
    margin-left: 20px;
  }
  .bottom-navigation {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 60px;
    width: 95%;
    position: fixed;
    bottom: 20px;
    border-radius: 75px;
    border: 1px solid #386bf6;
    background: #fff;
    box-shadow: 0px 4px 8px 3px rgba(0, 0, 0, 0.15),
      0px 1px 3px 0px rgba(0, 0, 0, 0.3);
  }
  .mobicon {
    margin-inline: 8px;
    padding-inline: 2px;
    height: 60px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .mobile-icon {
    width: 28px;
    height: 28px;
  }
  .mobicon:active {
    border-top: 5px solid #1274cf;
  }
  .profilebtn {
    display: flex;
    flex-direction: row;
    margin-right: 10px;
    border: 1px solid #d9d9d9;
    background-color: #fafafa;
    border-radius: 8px;
    width: 70px;
    height: 30px;
    align-items: center;
    justify-content: space-evenly;
  }
  .proicon {
    width: 20px;
    height: 20px;
  }
  .downarrowicon {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .proarrow {
    height: 6px;
    width: 12px;
  }
}
